boost 1.54.0 enters testing

News and discussion about development of the Debian OS itself

boost 1.54.0 enters testing

Postby shirish » 2013-09-01 21:02

Hi all,
boost 1.54.0 entered testing today. See :-

https://lists.alioth.debian.org/piperma ... 03386.html

The only downer as of now is libogre, just upgraded to boost 1.54.0 . Also upgraded mkvtoolnix

Code: Select all
$ aptitude show mkvtoolnix
Package: mkvtoolnix                     
State: installed
Automatically installed: no
Version: 6.3.0-1+b1
Priority: optional
Section: video
Maintainer: Christian Marillat <marillat@debian.org>
Architecture: amd64
Uncompressed Size: 15.0 M
Depends: libboost-filesystem1.54.0, libboost-regex1.54.0, libboost-system1.54.0, libc6 (>= 2.14), libcurl3-gnutls (>= 7.16.2),
         libflac8 (>= 1.3.0), libgcc1 (>= 1:4.1.1), libmagic1 (>= 5.12), libogg0 (>= 1.0rc3), libstdc++6 (>= 4.8), libvorbis0a
         (>= 1.1.2), zlib1g (>= 1:1.1.4)
Suggests: mkvtoolnix-gui
Description: Set of command-line tools to work with Matroska files
 Matroska is a new multimedia container format, based on EBML (Extensible Binary Meta Language), which is a kind of binary  XML. These tools allow to manipulate Matroska files.
 * mkvmerge is a tool to create Matroska files from other formats
 * mkvinfo allows one to get information about the tracks in a Matroska file
 * mkvextract can extract tracks from Matroska files to other formats
   
 This package only provides command-line tools. For graphical tools, you should install the mkvtoolnix-gui package.
Homepage: http://www.bunkus.org/videotools/mkvtoolnix/

Tags: interface::commandline, role::program, sound::compression, use::converting, works-with-format::mp3, works-with-format::oggtheora, works-with-format::oggvorbis, works-with-format::wav, works-with::audio, works-with::video


The one which was removed :-

Code: Select all
$ aptitude show libogre-1.7.4
Package: libogre-1.7.4                   
State: not installed
Multi-Arch: same
Version: 1.7.4+dfsg1-7
Priority: optional
Section: libs
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Architecture: amd64
Uncompressed Size: 9,715 k
Depends: libboost-thread1.49.0 (>= 1.49.0-1), libc6 (>= 2.4), libfreeimage3, libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1),
         libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libstdc++6 (>= 4.6), libx11-6, libxaw7, libxrandr2 (>= 4.3),
         libxt6, libzzip-0-13 (>= 0.13.56)
PreDepends: multiarch-support, dpkg (>= 1.15.7.2~)
Breaks: libogre-1.7.3, libogremain-1.4.9, libogremain-1.6.4, libogremain-1.7.1
Replaces: libogre-1.7.3, libogremain-1.4.9, libogremain-1.6.4, libogremain-1.7.1
Description: 3D Object-Oriented Graphics Rendering Engine (libraries)
 OGRE (Object-Oriented Graphics Rendering Engine) is a scene-oriented, flexible 3D engine written in C++ designed to make it
 easier and more intuitive for developers to produce applications utilising hardware-accelerated 3D graphics. The class
 library abstracts all the details of using the underlying system libraries like Direct3D and OpenGL and provides an interface
 based on world objects and other intuitive classes.
 
 This package contains the library and plugins.
Homepage: http://ogre3d.org/

Tags: role::shared-lib


One can see the transition happening at http://release.debian.org/transitions/h ... t1.54.html as well as follow the bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=704032 and the various bugs which are blocking the transition. I dunno much about boost but it's needed by many python apps. Hopefully this transition completes in the next 2-3 days.

Welcome comments, additions to what is going on.
Intel Dual-Core CPU E5400 (soc 775) @ 2.70GHz, onboard Intel G33, Asus MB P5KPL-AM IN (Intel G31), D-Link 2750u modem+router, 64-bit Debian Testing, GNOME 3.14 Flashback.
shirish
 
Posts: 821
Joined: 2010-12-08 12:59

Return to Debian Development

Who is online

Users browsing this forum: No registered users and 2 guests

fashionable